package org.jsxm.examples.automaton;
import jsxm.testAdapters.*;
import org.junit.*;
import static org.junit.Assert.assertEquals;

public class AutomatonJsxmAdapterTest{

    @Test
    public void test_k3_1_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_2_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_3_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_4_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_5_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_6_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_7_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_8_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_9_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_10_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_11_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_12_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_13_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_14_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_15_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_16_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_17_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_18_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_19_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_20_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_21_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_22_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_23_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_24_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_25_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_26_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_27_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_28_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_29_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_30_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_31_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_32_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_33_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_34_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_35_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_36_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_37_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_38_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_39_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_40_startAutomaton_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_41_startAutomaton_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_42_startAutomaton_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_43_startAutomaton_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_44_startAutomaton_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_45_startAutomaton_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_46_startAutomaton_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_47_startAutomaton_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_48_startAutomaton_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_49_startAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_50_startAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_51_startAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_52_startAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_53_startAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_54_startAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_55_startAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_56_startAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_57_startAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_58_startAutomaton_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_59_startAutomaton_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_60_startAutomaton_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_61_startAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_62_startAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_63_startAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_64_startAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_65_startAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_66_startAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_67_stopError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_68_stopError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_69_stopError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_70_stopError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_71_stopError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_72_stopError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_73_stopError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_74_stopError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_75_stopError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_76_stopError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_77_stopError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_78_stopError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_79_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_80_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_81_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_82_stopError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_83_stopError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_84_stopError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_85_stopError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_86_stopError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_87_stopError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_88_stopError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_89_stopError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_90_stopError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_91_stopError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_92_stopError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_93_stopError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_94_resetError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_95_resetError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_96_resetError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_97_resetError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_98_resetError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_99_resetError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_100_resetError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_101_resetError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_102_resetError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_103_resetError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_104_resetError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_105_resetError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_106_resetError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_107_resetError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_108_resetError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_109_resetError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_110_resetError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_111_resetError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_112_resetError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_113_resetError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_114_resetError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_115_resetError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_116_resetError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_117_resetError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_118_resetError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_119_resetError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_120_resetError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_121_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_122_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_123_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_124_startAutomaton_stopAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_125_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_126_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_127_startAutomaton_stopAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_128_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_129_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_130_startAutomaton_stopAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_131_startAutomaton_stopAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_132_startAutomaton_stopAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_133_startAutomaton_stopAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_134_startAutomaton_stopAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_135_startAutomaton_stopAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_136_startAutomaton_stopAutomaton_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_137_startAutomaton_stopAutomaton_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_138_startAutomaton_stopAutomaton_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_139_startAutomaton_stopAutomaton_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_140_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_141_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_142_startAutomaton_stopAutomaton_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_143_startAutomaton_stopAutomaton_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_144_startAutomaton_stopAutomaton_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_145_startAutomaton_stopAutomaton_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_146_startAutomaton_stopAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_147_startAutomaton_stopAutomaton_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_148_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_149_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_150_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_151_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_152_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_153_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_154_startAutomaton_resetAutomaton_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_155_startAutomaton_resetAutomaton_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_156_startAutomaton_resetAutomaton_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_157_startAutomaton_resetAutomaton_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_158_startAutomaton_resetAutomaton_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_159_startAutomaton_resetAutomaton_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_160_startAutomaton_resetAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_161_startAutomaton_resetAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_162_startAutomaton_resetAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_163_startAutomaton_resetAutomaton_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_164_startAutomaton_resetAutomaton_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_165_startAutomaton_resetAutomaton_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_166_startAutomaton_resetAutomaton_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_167_startAutomaton_resetAutomaton_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_168_startAutomaton_resetAutomaton_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_169_startAutomaton_resetAutomaton_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_170_startAutomaton_resetAutomaton_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_171_startAutomaton_resetAutomaton_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_172_startAutomaton_resetAutomaton_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_173_startAutomaton_resetAutomaton_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_174_startAutomaton_resetAutomaton_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_175_startAutomaton_startError_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_176_startAutomaton_startError_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_177_startAutomaton_startError_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_178_startAutomaton_startError_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_179_startAutomaton_startError_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_180_startAutomaton_startError_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_181_startAutomaton_startError_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_182_startAutomaton_startError_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_183_startAutomaton_startError_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_184_startAutomaton_startError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_185_startAutomaton_startError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_186_startAutomaton_startError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_187_startAutomaton_startError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_188_startAutomaton_startError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_189_startAutomaton_startError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_190_startAutomaton_startError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_191_startAutomaton_startError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_192_startAutomaton_startError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_193_startAutomaton_startError_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_194_startAutomaton_startError_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_195_startAutomaton_startError_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_196_startAutomaton_startError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_197_startAutomaton_startError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_198_startAutomaton_startError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_199_startAutomaton_startError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_200_startAutomaton_startError_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_201_startAutomaton_startError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_202_stopError_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_203_stopError_startAutomaton_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_204_stopError_startAutomaton_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_205_stopError_startAutomaton_stopAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_206_stopError_startAutomaton_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_207_stopError_startAutomaton_stopAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_208_stopError_startAutomaton_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_209_stopError_startAutomaton_stopAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_210_stopError_startAutomaton_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_211_stopError_startAutomaton_stopAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_212_stopError_startAutomaton_stopAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_213_stopError_startAutomaton_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_214_stopError_startAutomaton_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_215_stopError_startAutomaton_stopAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_216_stopError_startAutomaton_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_217_stopError_startAutomaton_stopAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_218_stopError_startAutomaton_stopAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_219_stopError_startAutomaton_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_220_stopError_startAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_221_stopError_startAutomaton_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_222_stopError_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_223_stopError_startAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_224_stopError_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_225_stopError_startAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_226_stopError_startAutomaton_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_227_stopError_startAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_228_stopError_startAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_229_stopError_startAutomaton_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_230_stopError_startAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_231_stopError_startAutomaton_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_232_stopError_startAutomaton_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_233_stopError_startAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_234_stopError_startAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_235_stopError_startAutomaton_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_236_stopError_startAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_237_stopError_startAutomaton_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_238_stopError_startAutomaton_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_239_stopError_startAutomaton_startError_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_240_stopError_startAutomaton_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_241_stopError_startAutomaton_startError_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_242_stopError_startAutomaton_startError_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_243_stopError_startAutomaton_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_244_stopError_startAutomaton_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_245_stopError_startAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_246_stopError_startAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_247_stopError_startAutomaton_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_248_stopError_startAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_249_stopError_startAutomaton_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_250_stopError_startAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_251_stopError_startAutomaton_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_252_stopError_startAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_253_stopError_startAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_254_stopError_startAutomaton_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_255_stopError_startAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_256_stopError_stopError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_257_stopError_stopError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_258_stopError_stopError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_259_stopError_stopError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_260_stopError_stopError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_261_stopError_stopError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_262_stopError_stopError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_263_stopError_stopError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_264_stopError_stopError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_265_stopError_stopError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_266_stopError_stopError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_267_stopError_stopError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_268_stopError_stopError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_269_stopError_stopError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_270_stopError_stopError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_271_stopError_stopError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_272_stopError_stopError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_273_stopError_stopError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_274_stopError_stopError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_275_stopError_stopError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_276_stopError_stopError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_277_stopError_stopError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_278_stopError_stopError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_279_stopError_stopError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_280_stopError_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_281_stopError_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_282_stopError_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_283_stopError_stopError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_284_stopError_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_285_stopError_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_286_stopError_stopError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_287_stopError_stopError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_288_stopError_stopError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_289_stopError_stopError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_290_stopError_stopError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_291_stopError_stopError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_292_stopError_stopError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_293_stopError_stopError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_294_stopError_stopError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_295_stopError_stopError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_296_stopError_stopError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_297_stopError_stopError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_298_stopError_stopError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_299_stopError_stopError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_300_stopError_stopError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_301_stopError_stopError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_302_stopError_stopError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_303_stopError_stopError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_304_stopError_stopError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_305_stopError_stopError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_306_stopError_stopError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_307_stopError_stopError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_308_stopError_stopError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_309_stopError_stopError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_310_stopError_resetError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_311_stopError_resetError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_312_stopError_resetError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_313_stopError_resetError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_314_stopError_resetError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_315_stopError_resetError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_316_stopError_resetError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_317_stopError_resetError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_318_stopError_resetError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_319_stopError_resetError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_320_stopError_resetError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_321_stopError_resetError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_322_stopError_resetError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_323_stopError_resetError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_324_stopError_resetError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_325_stopError_resetError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_326_stopError_resetError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_327_stopError_resetError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_328_stopError_resetError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_329_stopError_resetError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_330_stopError_resetError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_331_stopError_resetError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_332_stopError_resetError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_333_stopError_resetError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_334_stopError_resetError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_335_stopError_resetError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_336_stopError_resetError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_337_stopError_resetError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_338_stopError_resetError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_339_stopError_resetError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_340_stopError_resetError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_341_stopError_resetError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_342_stopError_resetError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_343_stopError_resetError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_344_stopError_resetError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_345_stopError_resetError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_346_stopError_resetError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_347_stopError_resetError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_348_stopError_resetError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_349_stopError_resetError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_350_stopError_resetError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_351_stopError_resetError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_352_stopError_resetError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_353_stopError_resetError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_354_stopError_resetError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_355_stopError_resetError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_356_stopError_resetError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_357_stopError_resetError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_358_stopError_resetError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_359_stopError_resetError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_360_stopError_resetError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_361_stopError_resetError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_362_stopError_resetError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_363_stopError_resetError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_364_resetError_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_365_resetError_startAutomaton_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_366_resetError_startAutomaton_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_367_resetError_startAutomaton_stopAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_368_resetError_startAutomaton_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_369_resetError_startAutomaton_stopAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_370_resetError_startAutomaton_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_371_resetError_startAutomaton_stopAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_372_resetError_startAutomaton_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_373_resetError_startAutomaton_stopAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_374_resetError_startAutomaton_stopAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_375_resetError_startAutomaton_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_376_resetError_startAutomaton_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_377_resetError_startAutomaton_stopAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_378_resetError_startAutomaton_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_379_resetError_startAutomaton_stopAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_380_resetError_startAutomaton_stopAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_381_resetError_startAutomaton_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_382_resetError_startAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_383_resetError_startAutomaton_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_384_resetError_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_385_resetError_startAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_386_resetError_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_387_resetError_startAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_388_resetError_startAutomaton_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_389_resetError_startAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_390_resetError_startAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_391_resetError_startAutomaton_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_392_resetError_startAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_393_resetError_startAutomaton_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_394_resetError_startAutomaton_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_395_resetError_startAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_396_resetError_startAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_397_resetError_startAutomaton_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_398_resetError_startAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_399_resetError_startAutomaton_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_400_resetError_startAutomaton_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_401_resetError_startAutomaton_startError_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_402_resetError_startAutomaton_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_403_resetError_startAutomaton_startError_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_404_resetError_startAutomaton_startError_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_405_resetError_startAutomaton_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_406_resetError_startAutomaton_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_407_resetError_startAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_408_resetError_startAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_409_resetError_startAutomaton_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_410_resetError_startAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_411_resetError_startAutomaton_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_412_resetError_startAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_413_resetError_startAutomaton_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_414_resetError_startAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_415_resetError_startAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_416_resetError_startAutomaton_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_417_resetError_startAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_418_resetError_stopError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_419_resetError_stopError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_420_resetError_stopError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_421_resetError_stopError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_422_resetError_stopError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_423_resetError_stopError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_424_resetError_stopError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_425_resetError_stopError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_426_resetError_stopError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_427_resetError_stopError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_428_resetError_stopError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_429_resetError_stopError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_430_resetError_stopError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_431_resetError_stopError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_432_resetError_stopError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_433_resetError_stopError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_434_resetError_stopError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_435_resetError_stopError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_436_resetError_stopError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_437_resetError_stopError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_438_resetError_stopError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_439_resetError_stopError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_440_resetError_stopError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_441_resetError_stopError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_442_resetError_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_443_resetError_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_444_resetError_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_445_resetError_stopError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_446_resetError_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_447_resetError_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_448_resetError_stopError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_449_resetError_stopError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_450_resetError_stopError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_451_resetError_stopError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_452_resetError_stopError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_453_resetError_stopError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_454_resetError_stopError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_455_resetError_stopError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_456_resetError_stopError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_457_resetError_stopError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_458_resetError_stopError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_459_resetError_stopError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_460_resetError_stopError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_461_resetError_stopError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_462_resetError_stopError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_463_resetError_stopError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_464_resetError_stopError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_465_resetError_stopError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_466_resetError_stopError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_467_resetError_stopError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_468_resetError_stopError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_469_resetError_stopError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_470_resetError_stopError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_471_resetError_stopError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_472_resetError_resetError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_473_resetError_resetError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_474_resetError_resetError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_475_resetError_resetError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_476_resetError_resetError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_477_resetError_resetError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_478_resetError_resetError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_479_resetError_resetError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_480_resetError_resetError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_481_resetError_resetError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_482_resetError_resetError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_483_resetError_resetError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_484_resetError_resetError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_485_resetError_resetError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_486_resetError_resetError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_487_resetError_resetError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_488_resetError_resetError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_489_resetError_resetError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_490_resetError_resetError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_491_resetError_resetError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_492_resetError_resetError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_493_resetError_resetError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_494_resetError_resetError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_495_resetError_resetError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_496_resetError_resetError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_497_resetError_resetError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_498_resetError_resetError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_499_resetError_resetError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_500_resetError_resetError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_501_resetError_resetError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_502_resetError_resetError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_503_resetError_resetError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_504_resetError_resetError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_505_resetError_resetError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_506_resetError_resetError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_507_resetError_resetError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_508_resetError_resetError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_509_resetError_resetError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_510_resetError_resetError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_511_resetError_resetError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_512_resetError_resetError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_513_resetError_resetError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_514_resetError_resetError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_515_resetError_resetError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_516_resetError_resetError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_517_resetError_resetError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_518_resetError_resetError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_519_resetError_resetError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_520_resetError_resetError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_521_resetError_resetError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_522_resetError_resetError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_523_resetError_resetError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_524_resetError_resetError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_525_resetError_resetError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_526_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_527_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_528_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_529_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_530_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_531_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_532_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_533_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_534_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_535_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_536_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_537_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_538_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_539_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_540_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_541_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_542_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_543_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_544_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_545_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_546_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_547_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_548_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_549_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_550_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_551_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_552_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_553_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_554_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_555_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_556_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_557_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_558_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_559_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_560_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_561_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_562_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_563_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_564_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_565_startAutomaton_stopAutomaton_startError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_566_startAutomaton_stopAutomaton_startError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_567_startAutomaton_stopAutomaton_startError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_568_startAutomaton_stopAutomaton_startError_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_569_startAutomaton_stopAutomaton_startError_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_570_startAutomaton_stopAutomaton_startError_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_571_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_572_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_573_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_574_startAutomaton_stopAutomaton_startError_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_575_startAutomaton_stopAutomaton_startError_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_576_startAutomaton_stopAutomaton_startError_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_577_startAutomaton_stopAutomaton_startError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_578_startAutomaton_stopAutomaton_startError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_579_startAutomaton_stopAutomaton_startError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_580_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_581_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_582_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_583_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_584_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_585_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_586_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_587_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_588_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_589_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_590_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_591_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_592_startAutomaton_stopAutomaton_stopError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_593_startAutomaton_stopAutomaton_stopError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_594_startAutomaton_stopAutomaton_stopError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_595_startAutomaton_stopAutomaton_stopError_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_596_startAutomaton_stopAutomaton_stopError_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_597_startAutomaton_stopAutomaton_stopError_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_598_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_599_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_600_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_601_startAutomaton_stopAutomaton_stopError_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_602_startAutomaton_stopAutomaton_stopError_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_603_startAutomaton_stopAutomaton_stopError_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_604_startAutomaton_stopAutomaton_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_605_startAutomaton_stopAutomaton_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_606_startAutomaton_stopAutomaton_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_607_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_608_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_609_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_610_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_611_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_612_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_613_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_614_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_615_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_616_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_617_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_618_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_619_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_620_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_621_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_622_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_623_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_624_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_625_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_626_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_627_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_628_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_629_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_630_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_631_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_632_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_633_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_634_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_635_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_636_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_637_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_638_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_639_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_640_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_641_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_642_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_643_startAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_644_startAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_645_startAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_646_startAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_647_startAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_648_startAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_649_startAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_650_startAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_651_startAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_652_startAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_653_startAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_654_startAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_655_startAutomaton_resetAutomaton_startAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_656_startAutomaton_resetAutomaton_startAutomaton_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_657_startAutomaton_resetAutomaton_startAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_658_startAutomaton_resetAutomaton_startAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_659_startAutomaton_resetAutomaton_startAutomaton_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_660_startAutomaton_resetAutomaton_startAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_661_startAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_662_startAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_663_startAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_664_startAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_665_startAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_666_startAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_667_startAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_668_startAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_669_startAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_670_startAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_671_startAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_672_startAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_673_startAutomaton_resetAutomaton_stopError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_674_startAutomaton_resetAutomaton_stopError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_675_startAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_676_startAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_677_startAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_678_startAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_679_startAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_680_startAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_681_startAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_682_startAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_683_startAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_684_startAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_685_startAutomaton_resetAutomaton_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_686_startAutomaton_resetAutomaton_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_687_startAutomaton_resetAutomaton_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_688_startAutomaton_resetAutomaton_stopError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_689_startAutomaton_resetAutomaton_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_690_startAutomaton_resetAutomaton_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_691_startAutomaton_resetAutomaton_stopError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_692_startAutomaton_resetAutomaton_stopError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_693_startAutomaton_resetAutomaton_stopError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_694_startAutomaton_resetAutomaton_stopError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_695_startAutomaton_resetAutomaton_stopError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_696_startAutomaton_resetAutomaton_stopError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_697_startAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_698_startAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_699_startAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_700_startAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_701_startAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_702_startAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_703_startAutomaton_resetAutomaton_stopError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_704_startAutomaton_resetAutomaton_stopError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_705_startAutomaton_resetAutomaton_stopError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_706_startAutomaton_resetAutomaton_stopError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_707_startAutomaton_resetAutomaton_stopError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_708_startAutomaton_resetAutomaton_stopError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_709_startAutomaton_resetAutomaton_stopError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_710_startAutomaton_resetAutomaton_stopError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_711_startAutomaton_resetAutomaton_stopError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_712_startAutomaton_resetAutomaton_stopError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_713_startAutomaton_resetAutomaton_stopError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_714_startAutomaton_resetAutomaton_stopError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_715_startAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_716_startAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_717_startAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_718_startAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_719_startAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_720_startAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_721_startAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_722_startAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_723_startAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_724_startAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_725_startAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_726_startAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_727_startAutomaton_resetAutomaton_resetError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_728_startAutomaton_resetAutomaton_resetError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_729_startAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_730_startAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_731_startAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_732_startAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_733_startAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_734_startAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_735_startAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_736_startAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_737_startAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_738_startAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_739_startAutomaton_resetAutomaton_resetError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_740_startAutomaton_resetAutomaton_resetError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_741_startAutomaton_resetAutomaton_resetError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_742_startAutomaton_resetAutomaton_resetError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_743_startAutomaton_resetAutomaton_resetError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_744_startAutomaton_resetAutomaton_resetError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_745_startAutomaton_resetAutomaton_resetError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_746_startAutomaton_resetAutomaton_resetError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_747_startAutomaton_resetAutomaton_resetError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_748_startAutomaton_resetAutomaton_resetError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_749_startAutomaton_resetAutomaton_resetError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_750_startAutomaton_resetAutomaton_resetError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_751_startAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_752_startAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_753_startAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_754_startAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_755_startAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_756_startAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_757_startAutomaton_resetAutomaton_resetError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_758_startAutomaton_resetAutomaton_resetError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_759_startAutomaton_resetAutomaton_resetError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_760_startAutomaton_resetAutomaton_resetError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_761_startAutomaton_resetAutomaton_resetError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_762_startAutomaton_resetAutomaton_resetError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_763_startAutomaton_resetAutomaton_resetError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_764_startAutomaton_resetAutomaton_resetError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_765_startAutomaton_resetAutomaton_resetError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_766_startAutomaton_resetAutomaton_resetError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_767_startAutomaton_resetAutomaton_resetError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_768_startAutomaton_resetAutomaton_resetError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_769_startAutomaton_startError_stopAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_770_startAutomaton_startError_stopAutomaton_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_771_startAutomaton_startError_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_772_startAutomaton_startError_stopAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_773_startAutomaton_startError_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_774_startAutomaton_startError_stopAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_775_startAutomaton_startError_stopAutomaton_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_776_startAutomaton_startError_stopAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_777_startAutomaton_startError_stopAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_778_startAutomaton_startError_stopAutomaton_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_779_startAutomaton_startError_stopAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_780_startAutomaton_startError_stopAutomaton_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_781_startAutomaton_startError_stopAutomaton_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_782_startAutomaton_startError_stopAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_783_startAutomaton_startError_stopAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_784_startAutomaton_startError_stopAutomaton_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_785_startAutomaton_startError_stopAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_786_startAutomaton_startError_stopAutomaton_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_787_startAutomaton_startError_stopAutomaton_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_788_startAutomaton_startError_stopAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_789_startAutomaton_startError_stopAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_790_startAutomaton_startError_stopAutomaton_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_791_startAutomaton_startError_stopAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_792_startAutomaton_startError_stopAutomaton_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_793_startAutomaton_startError_stopAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_794_startAutomaton_startError_stopAutomaton_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_795_startAutomaton_startError_stopAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_796_startAutomaton_startError_stopAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_797_startAutomaton_startError_stopAutomaton_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_798_startAutomaton_startError_stopAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_799_startAutomaton_startError_stopAutomaton_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_800_startAutomaton_startError_stopAutomaton_startError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_801_startAutomaton_startError_stopAutomaton_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_802_startAutomaton_startError_stopAutomaton_startError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_803_startAutomaton_startError_stopAutomaton_startError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_804_startAutomaton_startError_stopAutomaton_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_805_startAutomaton_startError_stopAutomaton_stopError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_806_startAutomaton_startError_stopAutomaton_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_807_startAutomaton_startError_stopAutomaton_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_808_startAutomaton_startError_stopAutomaton_stopError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_809_startAutomaton_startError_stopAutomaton_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_810_startAutomaton_startError_stopAutomaton_stopError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_811_startAutomaton_startError_stopAutomaton_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_812_startAutomaton_startError_stopAutomaton_stopError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_813_startAutomaton_startError_stopAutomaton_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_814_startAutomaton_startError_stopAutomaton_stopError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_815_startAutomaton_startError_stopAutomaton_stopError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_816_startAutomaton_startError_stopAutomaton_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_817_startAutomaton_startError_stopAutomaton_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_818_startAutomaton_startError_stopAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_819_startAutomaton_startError_stopAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_820_startAutomaton_startError_stopAutomaton_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_821_startAutomaton_startError_stopAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_822_startAutomaton_startError_stopAutomaton_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_823_startAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_824_startAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_825_startAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_826_startAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_827_startAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_828_startAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_829_startAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_830_startAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_831_startAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_832_startAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_833_startAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_834_startAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_835_startAutomaton_startError_resetAutomaton_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_836_startAutomaton_startError_resetAutomaton_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_837_startAutomaton_startError_resetAutomaton_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_838_startAutomaton_startError_resetAutomaton_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_839_startAutomaton_startError_resetAutomaton_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_840_startAutomaton_startError_resetAutomaton_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_841_startAutomaton_startError_resetAutomaton_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_842_startAutomaton_startError_resetAutomaton_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_843_startAutomaton_startError_resetAutomaton_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_844_startAutomaton_startError_resetAutomaton_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_845_startAutomaton_startError_resetAutomaton_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_846_startAutomaton_startError_resetAutomaton_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_847_startAutomaton_startError_resetAutomaton_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_848_startAutomaton_startError_resetAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_849_startAutomaton_startError_resetAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_850_startAutomaton_startError_resetAutomaton_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_851_startAutomaton_startError_resetAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_852_startAutomaton_startError_resetAutomaton_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_853_startAutomaton_startError_resetAutomaton_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_854_startAutomaton_startError_resetAutomaton_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_855_startAutomaton_startError_resetAutomaton_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_856_startAutomaton_startError_resetAutomaton_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_857_startAutomaton_startError_resetAutomaton_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_858_startAutomaton_startError_resetAutomaton_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_859_startAutomaton_startError_resetAutomaton_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_860_startAutomaton_startError_resetAutomaton_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_861_startAutomaton_startError_resetAutomaton_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_862_startAutomaton_startError_resetAutomaton_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_863_startAutomaton_startError_resetAutomaton_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_864_startAutomaton_startError_resetAutomaton_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_865_startAutomaton_startError_resetAutomaton_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_866_startAutomaton_startError_resetAutomaton_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_867_startAutomaton_startError_resetAutomaton_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_868_startAutomaton_startError_resetAutomaton_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_869_startAutomaton_startError_resetAutomaton_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_870_startAutomaton_startError_resetAutomaton_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_871_startAutomaton_startError_resetAutomaton_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_872_startAutomaton_startError_resetAutomaton_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_873_startAutomaton_startError_resetAutomaton_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_874_startAutomaton_startError_resetAutomaton_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_875_startAutomaton_startError_resetAutomaton_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_876_startAutomaton_startError_resetAutomaton_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_877_startAutomaton_startError_startError_stopAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_878_startAutomaton_startError_startError_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_879_startAutomaton_startError_startError_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_880_startAutomaton_startError_startError_stopAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_881_startAutomaton_startError_startError_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_882_startAutomaton_startError_startError_stopAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_883_startAutomaton_startError_startError_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_884_startAutomaton_startError_startError_stopAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_885_startAutomaton_startError_startError_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_886_startAutomaton_startError_startError_stopAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_887_startAutomaton_startError_startError_stopAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_888_startAutomaton_startError_startError_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_889_startAutomaton_startError_startError_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_890_startAutomaton_startError_startError_stopAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_891_startAutomaton_startError_startError_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_892_startAutomaton_startError_startError_stopAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_893_startAutomaton_startError_startError_stopAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_894_startAutomaton_startError_startError_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_895_startAutomaton_startError_startError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_896_startAutomaton_startError_startError_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_897_startAutomaton_startError_startError_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_898_startAutomaton_startError_startError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_899_startAutomaton_startError_startError_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_900_startAutomaton_startError_startError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_901_startAutomaton_startError_startError_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_902_startAutomaton_startError_startError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_903_startAutomaton_startError_startError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_904_startAutomaton_startError_startError_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_905_startAutomaton_startError_startError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_906_startAutomaton_startError_startError_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_907_startAutomaton_startError_startError_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_908_startAutomaton_startError_startError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_909_startAutomaton_startError_startError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_910_startAutomaton_startError_startError_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_911_startAutomaton_startError_startError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_912_startAutomaton_startError_startError_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_913_startAutomaton_startError_startError_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_914_startAutomaton_startError_startError_startError_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_915_startAutomaton_startError_startError_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_916_startAutomaton_startError_startError_startError_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_917_startAutomaton_startError_startError_startError_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_918_startAutomaton_startError_startError_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_919_startAutomaton_startError_startError_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_920_startAutomaton_startError_startError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_921_startAutomaton_startError_startError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_922_startAutomaton_startError_startError_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_923_startAutomaton_startError_startError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_924_startAutomaton_startError_startError_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_925_startAutomaton_startError_startError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_926_startAutomaton_startError_startError_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_927_startAutomaton_startError_startError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_928_startAutomaton_startError_startError_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_929_startAutomaton_startError_startError_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_930_startAutomaton_startError_startError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_931_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_932_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_933_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_934_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_935_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_936_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_937_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_938_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_939_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_940_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_941_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_942_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_943_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_944_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_945_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_946_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_947_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_948_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_949_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_950_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_951_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_952_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_953_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_954_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_955_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_956_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_957_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_958_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_959_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_960_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_961_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_962_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_963_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_964_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_965_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_966_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_967_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_968_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_969_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_970_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_971_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_972_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_973_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_974_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_975_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_976_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_977_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_978_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_979_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_980_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_981_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_982_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_983_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_984_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_985_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_986_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_987_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_988_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_989_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_990_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_991_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_992_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_993_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_994_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_995_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_996_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_997_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_998_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_999_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1000_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1001_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1002_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1003_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1004_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1005_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1006_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1007_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1008_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1009_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1010_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1011_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1012_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1013_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1014_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1015_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1016_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1017_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1018_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1019_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1020_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1021_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1022_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1023_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1024_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1025_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1026_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1027_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1028_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1029_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1030_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1031_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1032_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1033_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1034_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1035_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1036_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1037_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1038_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1039_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1040_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1041_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1042_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1043_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1044_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1045_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1046_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1047_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1048_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1049_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1050_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1051_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1052_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1053_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1054_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1055_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1056_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1057_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1058_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1059_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1060_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1061_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1062_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1063_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1064_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1065_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1066_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1067_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1068_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1069_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1070_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1071_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1072_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1073_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1074_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1075_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1076_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1077_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1078_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1079_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1080_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1081_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1082_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1083_startAutomaton_stopAutomaton_startError_startError_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1084_startAutomaton_stopAutomaton_startError_startError_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1085_startAutomaton_stopAutomaton_startError_startError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1086_startAutomaton_stopAutomaton_startError_startError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1087_startAutomaton_stopAutomaton_startError_startError_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1088_startAutomaton_stopAutomaton_startError_startError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1089_startAutomaton_stopAutomaton_startError_startError_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1090_startAutomaton_stopAutomaton_startError_startError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1091_startAutomaton_stopAutomaton_startError_startError_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1092_startAutomaton_stopAutomaton_startError_startError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1093_startAutomaton_stopAutomaton_startError_startError_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1094_startAutomaton_stopAutomaton_startError_startError_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1095_startAutomaton_stopAutomaton_startError_startError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1096_startAutomaton_stopAutomaton_startError_startError_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1097_startAutomaton_stopAutomaton_startError_startError_startError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1098_startAutomaton_stopAutomaton_startError_startError_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1099_startAutomaton_stopAutomaton_startError_startError_startError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1100_startAutomaton_stopAutomaton_startError_startError_startError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1101_startAutomaton_stopAutomaton_startError_startError_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1102_startAutomaton_stopAutomaton_startError_startError_stopError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1103_startAutomaton_stopAutomaton_startError_startError_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1104_startAutomaton_stopAutomaton_startError_startError_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1105_startAutomaton_stopAutomaton_startError_startError_stopError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1106_startAutomaton_stopAutomaton_startError_startError_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1107_startAutomaton_stopAutomaton_startError_startError_stopError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1108_startAutomaton_stopAutomaton_startError_startError_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1109_startAutomaton_stopAutomaton_startError_startError_stopError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1110_startAutomaton_stopAutomaton_startError_startError_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1111_startAutomaton_stopAutomaton_startError_startError_stopError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1112_startAutomaton_stopAutomaton_startError_startError_stopError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1113_startAutomaton_stopAutomaton_startError_startError_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1114_startAutomaton_stopAutomaton_startError_startError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1115_startAutomaton_stopAutomaton_startError_startError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1116_startAutomaton_stopAutomaton_startError_startError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1117_startAutomaton_stopAutomaton_startError_startError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1118_startAutomaton_stopAutomaton_startError_startError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1119_startAutomaton_stopAutomaton_startError_startError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1120_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1121_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1122_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1123_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1124_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1125_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1126_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1127_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1128_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1129_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1130_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1131_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1132_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1133_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1134_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1135_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1136_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1137_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1138_startAutomaton_stopAutomaton_startError_stopError_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1139_startAutomaton_stopAutomaton_startError_stopError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1140_startAutomaton_stopAutomaton_startError_stopError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1141_startAutomaton_stopAutomaton_startError_stopError_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1142_startAutomaton_stopAutomaton_startError_stopError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1143_startAutomaton_stopAutomaton_startError_stopError_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1144_startAutomaton_stopAutomaton_startError_stopError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1145_startAutomaton_stopAutomaton_startError_stopError_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1146_startAutomaton_stopAutomaton_startError_stopError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1147_startAutomaton_stopAutomaton_startError_stopError_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1148_startAutomaton_stopAutomaton_startError_stopError_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1149_startAutomaton_stopAutomaton_startError_stopError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1150_startAutomaton_stopAutomaton_startError_stopError_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1151_startAutomaton_stopAutomaton_startError_stopError_startError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1152_startAutomaton_stopAutomaton_startError_stopError_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1153_startAutomaton_stopAutomaton_startError_stopError_startError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1154_startAutomaton_stopAutomaton_startError_stopError_startError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1155_startAutomaton_stopAutomaton_startError_stopError_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1156_startAutomaton_stopAutomaton_startError_stopError_stopError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1157_startAutomaton_stopAutomaton_startError_stopError_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1158_startAutomaton_stopAutomaton_startError_stopError_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1159_startAutomaton_stopAutomaton_startError_stopError_stopError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1160_startAutomaton_stopAutomaton_startError_stopError_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1161_startAutomaton_stopAutomaton_startError_stopError_stopError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1162_startAutomaton_stopAutomaton_startError_stopError_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1163_startAutomaton_stopAutomaton_startError_stopError_stopError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1164_startAutomaton_stopAutomaton_startError_stopError_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1165_startAutomaton_stopAutomaton_startError_stopError_stopError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1166_startAutomaton_stopAutomaton_startError_stopError_stopError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1167_startAutomaton_stopAutomaton_startError_stopError_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1168_startAutomaton_stopAutomaton_startError_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1169_startAutomaton_stopAutomaton_startError_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1170_startAutomaton_stopAutomaton_startError_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1171_startAutomaton_stopAutomaton_startError_stopError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1172_startAutomaton_stopAutomaton_startError_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1173_startAutomaton_stopAutomaton_startError_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1174_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1175_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1176_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1177_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1178_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1179_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1180_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1181_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1182_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1183_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1184_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1185_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1186_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1187_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1188_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1189_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1190_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1191_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1192_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1193_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1194_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1195_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1196_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1197_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1198_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1199_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1200_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1201_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1202_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1203_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1204_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1205_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1206_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1207_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1208_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1209_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1210_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1211_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1212_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1213_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1214_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1215_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1216_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1217_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1218_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1219_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1220_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1221_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1222_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1223_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1224_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1225_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1226_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1227_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1228_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1229_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1230_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1231_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1232_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1233_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1234_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1235_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1236_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1237_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1238_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1239_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1240_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1241_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1242_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1243_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1244_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1245_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1246_startAutomaton_stopAutomaton_stopError_startError_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1247_startAutomaton_stopAutomaton_stopError_startError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1248_startAutomaton_stopAutomaton_stopError_startError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1249_startAutomaton_stopAutomaton_stopError_startError_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1250_startAutomaton_stopAutomaton_stopError_startError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1251_startAutomaton_stopAutomaton_stopError_startError_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1252_startAutomaton_stopAutomaton_stopError_startError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1253_startAutomaton_stopAutomaton_stopError_startError_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1254_startAutomaton_stopAutomaton_stopError_startError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1255_startAutomaton_stopAutomaton_stopError_startError_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1256_startAutomaton_stopAutomaton_stopError_startError_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1257_startAutomaton_stopAutomaton_stopError_startError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1258_startAutomaton_stopAutomaton_stopError_startError_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1259_startAutomaton_stopAutomaton_stopError_startError_startError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1260_startAutomaton_stopAutomaton_stopError_startError_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1261_startAutomaton_stopAutomaton_stopError_startError_startError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1262_startAutomaton_stopAutomaton_stopError_startError_startError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1263_startAutomaton_stopAutomaton_stopError_startError_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1264_startAutomaton_stopAutomaton_stopError_startError_stopError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1265_startAutomaton_stopAutomaton_stopError_startError_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1266_startAutomaton_stopAutomaton_stopError_startError_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1267_startAutomaton_stopAutomaton_stopError_startError_stopError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1268_startAutomaton_stopAutomaton_stopError_startError_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1269_startAutomaton_stopAutomaton_stopError_startError_stopError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1270_startAutomaton_stopAutomaton_stopError_startError_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1271_startAutomaton_stopAutomaton_stopError_startError_stopError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1272_startAutomaton_stopAutomaton_stopError_startError_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1273_startAutomaton_stopAutomaton_stopError_startError_stopError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1274_startAutomaton_stopAutomaton_stopError_startError_stopError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1275_startAutomaton_stopAutomaton_stopError_startError_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1276_startAutomaton_stopAutomaton_stopError_startError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1277_startAutomaton_stopAutomaton_stopError_startError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1278_startAutomaton_stopAutomaton_stopError_startError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1279_startAutomaton_stopAutomaton_stopError_startError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1280_startAutomaton_stopAutomaton_stopError_startError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1281_startAutomaton_stopAutomaton_stopError_startError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1282_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1283_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1284_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1285_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1286_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1287_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1288_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1289_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1290_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1291_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1292_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1293_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1294_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1295_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1296_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1297_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1298_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1299_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1300_startAutomaton_stopAutomaton_stopError_stopError_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1301_startAutomaton_stopAutomaton_stopError_stopError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1302_startAutomaton_stopAutomaton_stopError_stopError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1303_startAutomaton_stopAutomaton_stopError_stopError_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1304_startAutomaton_stopAutomaton_stopError_stopError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1305_startAutomaton_stopAutomaton_stopError_stopError_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1306_startAutomaton_stopAutomaton_stopError_stopError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1307_startAutomaton_stopAutomaton_stopError_stopError_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1308_startAutomaton_stopAutomaton_stopError_stopError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1309_startAutomaton_stopAutomaton_stopError_stopError_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1310_startAutomaton_stopAutomaton_stopError_stopError_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1311_startAutomaton_stopAutomaton_stopError_stopError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1312_startAutomaton_stopAutomaton_stopError_stopError_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1313_startAutomaton_stopAutomaton_stopError_stopError_startError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1314_startAutomaton_stopAutomaton_stopError_stopError_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1315_startAutomaton_stopAutomaton_stopError_stopError_startError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1316_startAutomaton_stopAutomaton_stopError_stopError_startError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1317_startAutomaton_stopAutomaton_stopError_stopError_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1318_startAutomaton_stopAutomaton_stopError_stopError_stopError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1319_startAutomaton_stopAutomaton_stopError_stopError_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1320_startAutomaton_stopAutomaton_stopError_stopError_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1321_startAutomaton_stopAutomaton_stopError_stopError_stopError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1322_startAutomaton_stopAutomaton_stopError_stopError_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1323_startAutomaton_stopAutomaton_stopError_stopError_stopError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1324_startAutomaton_stopAutomaton_stopError_stopError_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1325_startAutomaton_stopAutomaton_stopError_stopError_stopError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1326_startAutomaton_stopAutomaton_stopError_stopError_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1327_startAutomaton_stopAutomaton_stopError_stopError_stopError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1328_startAutomaton_stopAutomaton_stopError_stopError_stopError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1329_startAutomaton_stopAutomaton_stopError_stopError_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1330_startAutomaton_stopAutomaton_stopError_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1331_startAutomaton_stopAutomaton_stopError_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1332_startAutomaton_stopAutomaton_stopError_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1333_startAutomaton_stopAutomaton_stopError_stopError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1334_startAutomaton_stopAutomaton_stopError_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1335_startAutomaton_stopAutomaton_stopError_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1336_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1337_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1338_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1339_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1340_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1341_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1342_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1343_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1344_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1345_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1346_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1347_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1348_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1349_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1350_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1351_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1352_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1353_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1354_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1355_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1356_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1357_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1358_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1359_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1360_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1361_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1362_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1363_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1364_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1365_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1366_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1367_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1368_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1369_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1370_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1371_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1372_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1373_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1374_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1375_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1376_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1377_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1378_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1379_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1380_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1381_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1382_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1383_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1384_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1385_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1386_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1387_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1388_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1389_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1390_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1391_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1392_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1393_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1394_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1395_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1396_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1397_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1398_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1399_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1400_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1401_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1402_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1403_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1404_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1405_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1406_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1407_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1408_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1409_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1410_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1411_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1412_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1413_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1414_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1415_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1416_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1417_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1418_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1419_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1420_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1421_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1422_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1423_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1424_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1425_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1426_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1427_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1428_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1429_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1430_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1431_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1432_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1433_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1434_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1435_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1436_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1437_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1438_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1439_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1440_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1441_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1442_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1443_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_resetAutomaton_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1444_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1445_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1446_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1447_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1448_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1449_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1450_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1451_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1452_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1453_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1454_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1455_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1456_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1457_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1458_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1459_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1460_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1461_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1462_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1463_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1464_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1465_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1466_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1467_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1468_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1469_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1470_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1471_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1472_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1473_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1474_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1475_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1476_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1477_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1478_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1479_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1480_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1481_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1482_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1483_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1484_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1485_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1486_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1487_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1488_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1489_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1490_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1491_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1492_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1493_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1494_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1495_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1496_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1497_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton_startError_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1498_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1499_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1500_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1501_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1502_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1503_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1504_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1505_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1506_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1507_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1508_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1509_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1510_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1511_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1512_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1513_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1514_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1515_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1516_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1517_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1518_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1519_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1520_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1521_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1522_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1523_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1524_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1525_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1526_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1527_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1528_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1529_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1530_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1531_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1532_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1533_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1534_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1535_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1536_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1537_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1538_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1539_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1540_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1541_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1542_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1543_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1544_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1545_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1546_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1547_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1548_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1549_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1550_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1551_startAutomaton_stopAutomaton_resetAutomaton_stopError_startAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1552_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1553_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1554_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1555_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1556_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1557_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1558_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1559_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1560_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1561_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1562_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1563_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1564_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1565_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1566_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1567_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1568_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1569_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1570_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1571_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1572_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1573_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1574_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1575_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1576_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1577_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1578_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1579_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1580_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1581_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1582_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1583_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1584_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1585_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1586_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1587_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1588_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1589_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1590_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1591_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1592_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1593_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1594_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1595_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1596_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1597_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1598_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1599_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1600_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1601_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1602_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1603_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1604_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1605_startAutomaton_stopAutomaton_resetAutomaton_stopError_stopError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1606_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1607_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1608_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1609_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1610_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1611_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1612_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1613_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1614_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1615_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1616_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1617_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1618_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1619_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1620_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1621_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1622_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1623_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1624_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1625_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1626_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1627_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1628_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1629_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1630_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1631_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1632_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1633_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1634_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1635_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1636_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1637_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1638_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1639_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1640_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1641_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1642_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1643_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1644_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1645_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1646_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1647_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1648_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1649_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1650_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1651_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1652_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1653_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1654_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1655_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1656_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1657_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1658_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1659_startAutomaton_stopAutomaton_resetAutomaton_stopError_resetError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1660_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1661_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1662_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1663_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1664_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1665_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1666_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1667_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1668_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1669_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1670_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1671_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1672_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1673_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1674_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1675_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1676_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1677_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_stopAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1678_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1679_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1680_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1681_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1682_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1683_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1684_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1685_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1686_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1687_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1688_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1689_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1690_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1691_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1692_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1693_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1694_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1695_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_resetAutomaton_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1696_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1697_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1698_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1699_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1700_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1701_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1702_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1703_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1704_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1705_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1706_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1707_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1708_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1709_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1710_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1711_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1712_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1713_startAutomaton_stopAutomaton_resetAutomaton_resetError_startAutomaton_startError_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1714_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1715_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1716_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1717_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1718_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1719_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1720_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1721_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1722_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1723_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1724_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1725_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1726_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1727_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1728_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1729_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1730_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1731_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1732_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1733_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1734_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1735_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1736_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1737_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1738_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1739_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1740_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1741_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1742_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1743_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1744_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1745_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1746_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1747_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1748_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1749_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1750_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1751_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1752_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1753_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1754_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1755_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1756_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1757_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1758_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1759_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1760_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1761_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1762_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1763_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1764_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1765_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1766_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1767_startAutomaton_stopAutomaton_resetAutomaton_resetError_stopError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1768_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1769_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1770_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1771_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1772_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1773_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_stopAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1774_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1775_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1776_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1777_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1778_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1779_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_resetAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1780_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1781_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1782_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1783_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1784_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1785_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_startAutomaton_startError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1786_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1787_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1788_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1789_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1790_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1791_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1792_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1793_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1794_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1795_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1796_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1797_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1798_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1799_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1800_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1801_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1802_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1803_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_stopError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1804_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_startAutomaton_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1805_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_startAutomaton_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("startAutomaton_Error", obj.startAutomaton());
    }

    @Test
    public void test_k3_1806_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_startAutomaton_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1807_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_startAutomaton_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1808_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_startAutomaton_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1809_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_startAutomaton_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1810_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_stopError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1811_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_stopError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1812_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_stopError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1813_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_stopError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1814_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_stopError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1815_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_stopError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1816_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_resetError_startAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1817_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_resetError_startError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("startOut", obj.startAutomaton());
    }

    @Test
    public void test_k3_1818_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_resetError_stopAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1819_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_resetError_stopError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("stopAutomaton_Error", obj.stopAutomaton());
    }

    @Test
    public void test_k3_1820_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_resetError_resetAutomaton() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

    @Test
    public void test_k3_1821_startAutomaton_stopAutomaton_resetAutomaton_resetError_resetError_resetError_resetError_resetError() {
        AutomatonAdapter obj = new AutomatonAdapter();
        assertEquals("startOut", obj.startAutomaton());
        assertEquals("stopOut", obj.stopAutomaton());
        assertEquals("resetOut", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
        assertEquals("resetAutomaton_Error", obj.resetAutomaton());
    }

//
// Helper methods for definitions...
//


}
// End of generated Test Case

